MessageDigest
Date: 2016-06-24

java.security

## Class MessageDigest

- java.lang.Object
- - java.security.MessageDigestSpi
  - - java.security.MessageDigest

-     public abstract class MessageDigest
      extends MessageDigestSpi

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MessageDigest(String var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `digest()`
    `byte[]` | `digest(byte[] var0)`
    `int` | `digest(byte[] var0, int var1, int var2)`
    `String` | `getAlgorithm()`
    `int` | `getDigestLength()`
    `static MessageDigest` | `getInstance(String var0)`
    `static MessageDigest` | `getInstance(String var0, Provider var1)`
    `static MessageDigest` | `getInstance(String var0, String var1)`
    `Provider` | `getProvider()`
    `static boolean` | `isEqual(byte[] var0, byte[] var1)`
    `void` | `reset()`
    `void` | `update(byte var0)`
    `void` | `update(byte[] var0)`
    `void` | `update(byte[] var0, int var1, int var2)`

    - ### Methods inherited from class java.security.MessageDigestSpi

      `clone, engineDigest, engineDigest, engineGetDigestLength, engineReset, engineUpdate, engineUpdate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageDigest

          protected MessageDigest(String var0)

  - ### Method Detail

    - #### digest

          public byte[] digest()

    - #### digest

          public byte[] digest(byte[] var0)

    - #### digest

          public int digest(byte[] var0,
                   int var1,
                   int var2)
                     throws DigestException

      Throws:
        `DigestException`

    - #### getAlgorithm

          public final String getAlgorithm()

    - #### getDigestLength

          public final int getDigestLength()

    - #### getInstance

          public static MessageDigest getInstance(String var0)
                                           throws NoSuchAlgorithmException

      Throws:
        `NoSuchAlgorithmException`

    - #### getInstance

          public static MessageDigest getInstance(String var0,
                                  String var1)
                                           throws NoSuchAlgorithmException,
                                                  NoSuchProviderException

      Throws:
        `NoSuchAlgorithmException`
        `NoSuchProviderException`

    - #### getInstance

          public static MessageDigest getInstance(String var0,
                                  Provider var1)
                                           throws NoSuchAlgorithmException

      Throws:
        `NoSuchAlgorithmException`

    - #### getProvider

          public final Provider getProvider()

    - #### isEqual

          public static boolean isEqual(byte[] var0,
                        byte[] var1)

    - #### reset

          public void reset()

    - #### update

          public void update(byte var0)

    - #### update

          public void update(byte[] var0)

    - #### update

          public void update(byte[] var0,
                    int var1,
                    int var2)